"""picture_tournament URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.10/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf             import settings
from django.conf.urls        import url
from django.conf.urls.static import static
from django.contrib          import admin

from pt.views import compare, left_wins, right_wins, refresh, top

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^cmp/$', compare, name='compare'),
    url(r'^cmp/left$', left_wins, name='left-wins'),
    url(r'^cmp/right$', right_wins, name='right-wins'),
    url(r'^cmp/refresh$', refresh, name='refresh'),
    url(r'^top$', top, name='top'),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

